---
title: "Get Rooms"
slug: "get-rooms"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rooms

Get/api/v1/rooms.get

Get all opened rooms (all joined public & private channels and all DMs) of the authenticated user.

### Changelog

| Version | Description |
| --- | --- |
| 0.72.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersupdatedSincestring

A date as an ISO string. When you provide the `updatedSince` query parameter, then the update and remove in the response will contain only those updated and removed since the specified date and time.

Example2017-11-25T15:08:17.248Z

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='321efe66-c03e-4d97-bb81-3115ad4f2018'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f53c6c0c-a103-4b85-ac68-137d2d2c828f'>Success</option>
</select>Success

```json
{
  "update": [
    {
      "_id": "GENERAL",
      "ts": "2024-02-14T14:34:49.365Z",
      "t": "c",
      "name": "general",
      "usernames": [],
      "msgs": 55,
      "usersCount": 36,
      "_updatedAt": "2024-07-16T08:49:34.732Z",
      "u": {
        "_id": "rocket.cat",
        "username": "rocket.cat",
        "name": "Rocket.Cat"
      },
      "default": true,
      "lastMessage": {
        "_id": "668fc2bbffe932842327c1ff",
        "t": "discussion-created",
        "rid": "GENERAL",
        "ts": "2024-07-11T11:32:11.220Z",
        "msg": "Discussion",
        "u": {
          "_id": "5m4hjvzCTRCqwPrD2",
          "username": "Rama",
          "name": "Raghav Ram"
        },
        "groupable": false,
        "drid": "668fc2bbffe932842327c1fd",
        "_updatedAt": "2024-07-11T11:32:11.220Z"
      },
      "lm": "2024-07-11T11:32:11.220Z"
    },
    {
      "_id": "WbYJfC5kTArcECGkpfZ3bvXC72pobjFPLJ",
      "t": "d",
      "usernames": [
        "user2",
        "user1"
      ],
      "usersCount": 2,
      "msgs": 2,
      "ts": "2024-07-10T13:48:14.998Z",
      "uids": [
        "WbYJfC5kTArcECGkp",
        "fZ3bvXC72pobjFPLJ"
      ],
      "default": false,
      "ro": false,
      "sysMes": true,
      "_updatedAt": "2024-07-10T13:48:28.300Z",
      "lastMessage": {
        "_id": "XHjLcN3pCe8snaoTm",
        "rid": "WbYJfC5kTArcECGkpfZ3bvXC72pobjFPLJ",
        "msg": "again",
        "ts": "2024-07-10T13:48:28.262Z",
        "u": {
          "_id": "fZ3bvXC72pobjFPLJ",
          "username": "user1",
          "name": "user1"
        },
        "_updatedAt": "2024-07-10T13:48:28.296Z",
        "urls": [],
        "mentions": [],
        "channels": [],
        "md": [
          {
            "type": "PARAGRAPH",
            "value": [
              {
                "type": "PLAIN_TEXT",
                "value": "again"
              }
            ]
          }
        ]
      },
      "lm": "2024-07-10T13:48:28.262Z"
    },
    {
      "_id": "fZ3bvXC72pobjFPLJrocket.cat",
      "t": "d",
      "usernames": [
        "user1",
        "rocket.cat"
      ],
      "usersCount": 2,
      "msgs": 15,
      "ts": "2024-02-21T02:00:01.657Z",
      "uids": [
        "fZ3bvXC72pobjFPLJ",
        "rocket.cat"
      ],
      "default": false,
      "ro": false,
      "sysMes": true,
      "_updatedAt": "2024-07-17T02:00:05.203Z",
      "lastMessage": {
        "rid": "fZ3bvXC72pobjFPLJrocket.cat",
        "msg": "*Update your Rocket.Chat*\nNew version available (6.10.0)\nhttps://github.com/RocketChat/Rocket.Chat/releases/tag/6.10.0",
        "ts": "2024-07-17T02:00:05.161Z",
        "u": {
          "_id": "rocket.cat",
          "username": "rocket.cat",
          "name": "Rocket.Cat"
        },
        "_id": "c4PzLLTy4fDSCmm4F",
        "_updatedAt": "2024-07-17T02:00:05.198Z",
        "urls": [
          {
            "url": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.10.0",
            "meta": {}
          }
        ],
        "mentions": [],
        "channels": [],
        "md": [
          {
            "type": "PARAGRAPH",
            "value": [
              {
                "type": "BOLD",
                "value": [
                  {
                    "type": "PLAIN_TEXT",
                    "value": "Update your Rocket.Chat"
                  }
                ]
              }
            ]
          },
          {
            "type": "PARAGRAPH",
            "value": [
              {
                "type": "PLAIN_TEXT",
                "value": "New version available (6.10.0)"
              }
            ]
          },
          {
            "type": "PARAGRAPH",
            "value": [
              {
                "type": "LINK",
                "value": {
                  "src": {
                    "type": "PLAIN_TEXT",
                    "value": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.10.0"
                  },
                  "label": [
                    {
                      "type": "PLAIN_TEXT",
                      "value": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.10.0"
                    }
                  ]
                }
              }
            ]
          }
        ]
      },
      "lm": "2024-07-17T02:00:05.161Z"
    }
  ],
  "remove": [],
  "success": true
}
```

Expand Allobject  update Array of object   object  _idstring    
tsstring    
tstring    
namestring    
usernames Array of string   string    
msgsinteger    
usersCountinteger    
_updatedAtstring    
uobject  _idstring    
usernamestring    
namestring    

defaultboolean    
lastMessageobject  _idstring    
tstring    
ridstring    
tsstring    
msgstring    
aliasstring   | null  
attachments Array of object (Attachment)   object  tsstring    Example1970-01-01T00:00:00.000Z
titlestring    
title_linkstring    
title_link_downloadboolean    
image_dimensionsobject  widthinteger    Example444
heightinteger    Example360

image_previewstring    Example/9j/2wBDAAYEBQ...
image_urlstring    Example/file-upload/PNTaE9SBQasdpAwk2/img_1.jpg
image_typestring    Exampleimage/jpeg
image_sizeinteger    Example26674
typestring    Examplefile
descriptionstring    Example

fileobject  _idstring    
namestring    
typestring    

uobject  _idstring    
usernamestring    
namestring    

groupableboolean    
dridstring    
_updatedAtstring    
urls Array of object   object  urlstring    
metaobject  

mentions Array of object   object  
channels Array of object   object  
md Array of object   object  typestring    
value Array of object   object  typestring    
valuestring    

lmstring    
uids Array of string   string    
roboolean    
sysMesboolean    

remove Array of object   object  
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='978d4833-f669-47dd-a252-9e292a42a828'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='321e6fab-3688-4c61-b09e-a11e5f2209a1'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
